Skip to main content
PATCH
Update Rule Evaluator

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

evaluator_rule_id
string<uuid>
required

Path parameter for unique identifier of a Rule evaluator

Body

application/json

Partial update. Any subset of fields may be supplied. At least one field must be present. To pause evaluation entirely, set enabled to false instead of supplying a small sampling_rate.

enabled
boolean

Disable or enable a Rule evaluator

sampling_rate
number<float>

New sampling fraction in (0.0, 1.0].

Required range: 0 < x <= 1

Response

Update Rule evaluator

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Rule Evaluator